searchNodes=[{"ref":"Airtable.html","title":"Airtable","type":"module","doc":"Documentation for Airtable."},{"ref":"Airtable.html#create/4","title":"Airtable.create/4","type":"function","doc":"Creates a new row by performing a POST request to Airtable. Parameters are sent via the fields option. Upload fields just need to be given one or more downloadable URLs. Airtable.create( &quot;AIRTABLE_API_KEY&quot;, &quot;TABLE_KEY&quot;, &quot;persons&quot;, fields: %{ &quot;Name&quot; =&gt; &quot;Martin Gutsch&quot;, &quot;Notes&quot; =&gt; &quot;formerly knows as gutschilla&quot;, &quot;Attachments&quot; =&gt; [%{&quot;url&quot; =&gt; &quot;https://dummyimage.com/600x400/000/fff&quot;}] } )"},{"ref":"Airtable.html#delete/4","title":"Airtable.delete/4","type":"function","doc":"Deletes a certain row from a table. Returns {:ok, &quot;DELETED_ID&quot;} on success."},{"ref":"Airtable.html#get/4","title":"Airtable.get/4","type":"function","doc":"Retrieves a certain row from a table."},{"ref":"Airtable.html#handle_response/2","title":"Airtable.handle_response/2","type":"function","doc":""},{"ref":"Airtable.html#list/4","title":"Airtable.list/4","type":"function","doc":"Retrieves all entries. options fields: list of strings for fields to retrieve only. Remember, that id will always be there. Airtable.list(&quot;API_KEY&quot;, &quot;app_BASE&quot;, &quot;Filme&quot;, fields: [&quot;Titel&quot;, &quot;Jahr&quot;]) {:ok, %Airtable.Result.List{ offset: nil, records: [ %Airtable.Result.Item{ fields: %{&quot;Jahr&quot; =&gt; &quot;2004&quot;, &quot;Titel&quot; =&gt; &quot;Kill Bill Volume 2&quot;}, id: &quot;rec15b3sYhdEStY1e&quot; }, %Airtable.Result.Item{ fields: %{&quot;Titel&quot; =&gt; &quot;Ein blonder Traum&quot;}, id: &quot;rec3KUcL7R3AHD3rY&quot; }, ... ] } } filterByFormula maxRecords maxRecords sort view cellFormat timeZone userLocale Examples iex&gt; Airtable.list(&quot;AIRTABLE_API_KEY&quot;, &quot;TABLE_KEY&quot;, &quot;films&quot;, max_records: 1000) %Airtable.Result.List%{records: [%Airtable.Result.Item{id: &quot;someid&quot;, fields: %{&quot;foo&quot;: &quot;bar&quot;}}], offset: &quot;…&quot;}"},{"ref":"Airtable.html#make_request/5","title":"Airtable.make_request/5","type":"function","doc":""},{"ref":"Airtable.html#make_request/6","title":"Airtable.make_request/6","type":"function","doc":""},{"ref":"Airtable.html#perform/6","title":"Airtable.perform/6","type":"function","doc":"Perfoms the call cycle for :get, :delete, :update, :replace calls. create request struct make actual HTTP request handle JSON response"},{"ref":"Airtable.html#replace/5","title":"Airtable.replace/5","type":"function","doc":"Replaces an existing row with a new one. If you just want to update certain fields, use update/5 instead. Returns the replaces item. create {:ok, %Airtable.Result.Item{id: id , fields: %{&quot;name&quot;: &quot;Frank&quot;, age: 55}} = Airtable.create(&quot;API_KEY&quot;, &quot;TABLE_KEY&quot;, &quot;persons&quot;, &quot;rec_SOME_ID&quot;, fields: %{&quot;name&quot;: &quot;Frank&quot;, age: 55}) overwrite {:ok, %Airtable.Result.Item{id: ^id, fields: %{&quot;name&quot;: &quot;Martin&quot;, age: 39}} = Airtable.replace(&quot;API_KEY&quot;, &quot;TABLE_KEY&quot;, &quot;persons&quot;, id, fields: %{&quot;name&quot;: &quot;Martin&quot;, age: 39})"},{"ref":"Airtable.html#update/5","title":"Airtable.update/5","type":"function","doc":"Update given fields for a row. Fields not set in this call will be kapt as-is. If you want to replace the whole entry/row, use replace/5 instead. Returns the updated item. create {:ok, %Airtable.Result.Item{id: id , fields: %{&quot;name&quot;: &quot;Frank&quot;, age: 55}} = Airtable.create(&quot;API_KEY&quot;, &quot;TABLE_KEY&quot;, &quot;persons&quot;, &quot;rec_SOME_ID&quot;, fields: %{&quot;name&quot;: &quot;Frank&quot;, age: 55}) overwrite, age is still 55 {:ok, %Airtable.Result.Item{id: ^id, fields: %{&quot;name&quot;: &quot;Martin&quot;, age: 55}} = Airtable.replace(&quot;API_KEY&quot;, &quot;TABLE_KEY&quot;, &quot;persons&quot;, id, fields: %{&quot;name&quot;: &quot;Martin&quot;})"},{"ref":"Airtable.Result.Item.html","title":"Airtable.Result.Item","type":"module","doc":"Represents a row in a table. Has a string id. - Thefields` key contains a map of decoded JSON fields as retrieved from Airtable. Keys in that map will be string-keys."},{"ref":"Airtable.Result.Item.html#from_item_map/1","title":"Airtable.Result.Item.from_item_map/1","type":"function","doc":""},{"ref":"Airtable.Result.List.html","title":"Airtable.Result.List","type":"module","doc":"Represents a List of items as a struct. Contains records as list of type Airtable.Result.Item key offset is intended to be used for internal reprensentation of pagination (not implemented yet)"},{"ref":"Airtable.Result.List.html#from_record_maps/1","title":"Airtable.Result.List.from_record_maps/1","type":"function","doc":"Converts a map (decoded JSON from Airtable, usualle) to a MODULE struct. Example iex&gt;Airtable.Result.List.from_record_maps( ...&gt; %{ ...&gt; &quot;records&quot; =&gt; [ ...&gt; %{&quot;id&quot; =&gt; &quot;ID1&quot;, &quot;fields&quot; =&gt; %{&quot;name&quot; =&gt; &quot;Fank&quot;, &quot;age&quot; =&gt; 23} }, ...&gt; %{&quot;id&quot; =&gt; &quot;ID2&quot;, &quot;fields&quot; =&gt; %{&quot;name&quot; =&gt; &quot;Lara&quot;, &quot;age&quot; =&gt; 45} }, ...&gt; ] ...&gt; } ...&gt;) %Airtable.Result.List{ offset: nil, records: [ %Airtable.Result.Item{fields: %{&quot;age&quot; =&gt; 23, &quot;name&quot; =&gt; &quot;Fank&quot;}, id: &quot;ID1&quot;}, %Airtable.Result.Item{fields: %{&quot;age&quot; =&gt; 45, &quot;name&quot; =&gt; &quot;Lara&quot;}, id: &quot;ID2&quot;} ] }"}]